import request from '@/utils/request'

// 查询套餐订单列表
export function listCompanyVoicePackageOrder(query) {
  return request({
    url: '/company/companyVoicePackageOrder/list',
    method: 'get',
    params: query
  })
}

// 查询套餐订单详细
export function getCompanyVoicePackageOrder(orderId) {
  return request({
    url: '/company/companyVoicePackageOrder/' + orderId,
    method: 'get'
  })
}

// 新增套餐订单
export function addCompanyVoicePackageOrder(data) {
  return request({
    url: '/company/companyVoicePackageOrder',
    method: 'post',
    data: data
  })
}

// 修改套餐订单
export function updateCompanyVoicePackageOrder(data) {
  return request({
    url: '/company/companyVoicePackageOrder',
    method: 'put',
    data: data
  })
}

// 删除套餐订单
export function delCompanyVoicePackageOrder(orderId) {
  return request({
    url: '/company/companyVoicePackageOrder/' + orderId,
    method: 'delete'
  })
}

// 导出套餐订单
export function exportCompanyVoicePackageOrder(query) {
  return request({
    url: '/company/companyVoicePackageOrder/export',
    method: 'get',
    params: query
  })
}